#ifndef DAILYMOTIONCOMMENTDIALOG_H
#define DAILYMOTIONCOMMENTDIALOG_H

#include "abstractdialog.h"
#include "session.h"
#include <QTextEdit>
#include <QPushButton>
#include <QDialogButtonBox>
#include <QGridLayout>
#include <QScrollArea>

class DailymotionCommentDialog : public AbstractDialog
{
    Q_OBJECT

public:
    explicit DailymotionCommentDialog(Session *session, QSharedPointer<VideoItem> video, QWidget *parent = 0);

private:
    void setLandscapeLayout();
    void setPortraitLayout();

private slots:
    void onCommentTextChanged();
    void submitComment();

private:
    Session *m_session;
    QSharedPointer<VideoItem> m_video;
    QTextEdit *m_commentEdit;
    QDialogButtonBox *m_buttonBox;
    QPushButton *m_doneButton;
    QScrollArea *m_scrollArea;
    QGridLayout *m_grid;
};

#endif // DAILYMOTIONCOMMENTDIALOG_H
