#ifndef PLAYBACKQUALITYDIALOG_H
#define PLAYBACKQUALITYDIALOG_H

#include "abstractdialog.h"
#include "settings.h"
#include <QCheckBox>
#include <QGridLayout>
#include <QDialogButtonBox>
#include <QScrollArea>

class PlaybackQualityDialog : public AbstractDialog
{
    Q_OBJECT
public:
    explicit PlaybackQualityDialog(Settings *settings, QWidget *parent = 0);

private slots:
    void saveSettings();

private:
    void loadSettings();
    void setLandscapeLayout();
    void setPortraitLayout();
    
private:
    Settings *m_settings;
    QCheckBox *m_youtube720Checkbox;
    QCheckBox *m_youtube480Checkbox;
    QCheckBox *m_youtube360Checkbox;
    QCheckBox *m_youtubeNormalCheckbox;
    QCheckBox *m_dailymotion720Checkbox;
    QCheckBox *m_dailymotion480Checkbox;
    QCheckBox *m_dailymotionNormalCheckbox;
    QCheckBox *m_vimeo720Checkbox;
    QCheckBox *m_vimeo360Checkbox;
    QCheckBox *m_vimeoMobileCheckbox;
    QDialogButtonBox *m_buttonBox;
    QScrollArea *m_scrollArea;
    QGridLayout *m_grid;
};

#endif // PLAYBACKQUALITYDIALOG_H
