#ifndef THUMBNAILLABEL_H
#define THUMBNAILLABEL_H

#include <QWidget>
#include <QImage>
#include <QMouseEvent>
#include <QPaintEvent>

class ThumbnailLabel : public QWidget
{
    Q_OBJECT

public:
    explicit ThumbnailLabel(QWidget *parent = 0);
    explicit ThumbnailLabel(int duration, QWidget *parent = 0);
    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void leaveEvent(QEvent *event);
    void paintEvent(QPaintEvent *event);
    inline bool interactive() const { return m_interactive; }
    inline void setInteractive(bool interactive) { m_interactive = interactive; }
    inline QImage image() const { return m_image; }
    void setImage(const QImage &image);
    inline int duration() const { return m_duration; }
    void setDuration(int duration);

signals:
    void clicked();

private:
    QImage m_image;
    int m_duration;
    bool m_interactive;
    bool m_pressed;
};

#endif // THUMBNAILLABEL_H
