#ifndef YOUTUBEPRIVATEAUTHDIALOG_H
#define YOUTUBEPRIVATEAUTHDIALOG_H

#include "abstractdialog.h"
#include "session.h"
#include "webview.h"
#include <QProgressBar>
#include <QGridLayout>

class YouTubePrivateAuthDialog : public AbstractDialog
{
    Q_OBJECT

public:
    explicit YouTubePrivateAuthDialog(Session *session, QWidget *parent = 0);

private:
    inline void setLandscapeLayout() { setFixedHeight(340); }
    inline void setPortraitLayout() { setFixedHeight(600); }

private slots:
    void checkUrl(const QUrl &url);
    
private:
    CookieJar *m_jar;
    WebView *m_webView;
    QProgressBar *m_progressBar;
    QGridLayout *m_grid;
};

#endif // YOUTUBEPRIVATEAUTHDIALOG_H
