#ifndef FEEDURLS_H
#define FEEDURLS_H

//YouTube Feeds

#define YOUTUBE_VIDEOS_BASE_URL "https://gdata.youtube.com/feeds/api/videos"
#define YOUTUBE_USERS_BASE_URL "https://gdata.youtube.com/feeds/api/users"
#define YOUTUBE_CHANNELS_BASE_URL "https://gdata.youtube.com/feeds/api/channels"
#define YOUTUBE_PLAYLISTS_BASE_URL "https://gdata.youtube.com/feeds/api/playlists"
#define YOUTUBE_PLAYLISTS_SEARCH_BASE_URL "https://gdata.youtube.com/feeds/api/playlists/snippets"
#define YOUTUBE_STANDARD_FEEDS_BASE_URL "https://gdata.youtube.com/feeds/api/standardfeeds/"

#define YOUTUBE_UPLOADS_FEED "https://gdata.youtube.com/feeds/api/users/default/uploads?v=2.1&max-results=30"
#define YOUTUBE_FAVOURITES_FEED "https://gdata.youtube.com/feeds/api/users/default/favorites?v=2.1&max-results=30"
#define YOUTUBE_RECOMMENDED_FEED "https://gdata.youtube.com/feeds/api/users/default/recommendations?v=2.1&max-results=30"
#define YOUTUBE_PLAYLISTS_FEED "https://gdata.youtube.com/feeds/api/users/default/playlists?v=2.1&max-results=50"
#define YOUTUBE_SUBSCRIPTIONS_FEED "https://gdata.youtube.com/feeds/api/users/default/subscriptions?v=2.1&max-results=50"
#define YOUTUBE_NEW_SUBSCRIPTION_VIDEOS_FEED "https://gdata.youtube.com/feeds/api/users/default/newsubscriptionvideos?v=2.1&max-results=30"
#define YOUTUBE_WATCH_HISTORY_FEED "https://gdata.youtube.com/feeds/api/users/default/watch_history?v=2.1&max-results=30"
#define YOUTUBE_WATCH_LATER_FEED "https://gdata.youtube.com/feeds/api/users/default/watch_later?v=2.1&max-results=50"

#define YOUTUBE_SINGLE_PLAYLIST_FIELDS "id,title,summary,published,yt:countHint,author(name,yt:userId),media:group(media:thumbnail[@yt:name='default']),yt:playlistId"
#define YOUTUBE_SINGLE_VIDEO_FIELDS "id,category[@scheme='http://gdata.youtube.com/schemas/2007/keywords.cat'],media:group(media:title,media:thumbnail[@yt:name='default'or@yt:name='hqdefault'],media:description,media:player[@url],media:credit,yt:duration,yt:uploaded,yt:uploaderId,yt:videoid),yt:statistics,yt:rating"
#define YOUTUBE_VIDEO_FIELDS "openSearch:totalResults,entry(id,category[@scheme='http://gdata.youtube.com/schemas/2007/keywords.cat'],media:group(media:title,media:thumbnail[@yt:name='default'or@yt:name='hqdefault'],media:description,media:player[@url],media:credit,yt:duration,yt:uploaded,yt:uploaderId,yt:videoid),yt:statistics,yt:rating)"
#define YOUTUBE_PLAYLIST_FIELDS "openSearch:totalResults,entry(id,title,summary,published,yt:countHint,author(name,yt:userId),media:group(media:thumbnail[@yt:name='default']),yt:playlistId)"
#define YOUTUBE_SINGLE_COMMENT_FIELDS "id,content,published,link[@rel!='related'and@rel!='alternate'and@rel!='self'and@rel!='edit'],yt:videoid,author(name,yt:userId)"
#define YOUTUBE_COMMENT_FIELDS "openSearch:totalResults,entry(id,content,published,link[@rel!='related'and@rel!='alternate'and@rel!='self'and@rel!='edit'],yt:videoid,author(name,yt:userId))"
#define YOUTUBE_USER_FIELDS "openSearch:totalResults,entry(id,title,summary,author(name,yt:userId),gd:feedLink[@rel='http://gdata.youtube.com/schemas/2007#channel.content'],yt:channelStatistics)"
#define YOUTUBE_SUBSCRIPTION_FIELDS "openSearch:totalResults,entry(id,title,summary,yt:username,media:thumbnail,yt:countHint,yt:channelId)"
#define YOUTUBE_USER_PROFILE_FIELDS "id,title,summary,gd:feedLink[@rel='http://gdata.youtube.com/schemas/2007#user.uploads'],link[@rel='related'],yt:statistics,yt:userId,yt:username,yt:age,yt:gender,yt:location,media:thumbnail,yt:incomplete"

//Dailymotion Feeds

#define DAILYMOTION_VIDEOS_BASE_URL "https://api.dailymotion.com/videos"
#define DAILYMOTION_USERS_BASE_URL "https://api.dailymotion.com/users"
#define DAILYMOTION_PLAYLISTS_BASE_URL "https://api.dailymotion.com/playlists"
#define DAILYMOTION_GROUPS_BASE_URL "https://api.dailymotion.com/groups"

#define DAILYMOTION_UPLOADS_FEED "https://api.dailymotion.com/me/videos?limit=30"
#define DAILYMOTION_FAVOURITES_FEED "https://api.dailymotion.com/me/favorites?limit=30"
#define DAILYMOTION_PLAYLISTS_FEED "https://api.dailymotion.com/me/playlists?limit=100"
#define DAILYMOTION_GROUPS_FEED "https://api.dailymotion.com/me/groups?limit=30"
#define DAILYMOTION_SUBSCRIPTIONS_FEED "https://api.dailymotion.com/me/following?limit=100"
#define DAILYMOTION_NEW_SUBSCRIPTION_VIDEOS_FEED "https://api.dailymotion.com/me/subscriptions?limit=30"

#define DAILYMOTION_VIDEO_FIELDS "created_time,description,duration,id,owner.username,owner.id,owner.avatar_medium_url,private,rating,ratings_total,tags,thumbnail_medium_url,thumbnail_large_url,title,url,views_total"
#define DAILYMOTION_PLAYLIST_FIELDS "created_time,description,id,name,owner.username,owner.id,owner.avatar_medium_url"
#define DAILYMOTION_GROUP_FIELDS "created_time,description,id,name,owner.username,owner.id,owner.avatar_medium_url"
#define DAILYMOTION_COMMENT_FIELDS "created_time,id,message,owner.username,owner.id,owner.avatar_medium_url,video.id"
#define DAILYMOTION_USER_FIELDS "avatar_medium_url,description,id,username,screenname,videos_total,views_total"
#define DAILYMOTION_USER_PROFILE_FIELDS "avatar_large_url,description,id,username,screenname,videos_total,gender,views_total"
#define DAILYMOTION_VIDEO_METADATA_FIELDS  "title,description,tags,private,allow_comments,channel,id"

#endif // FEEDURLS_H
